Subject: Re: [PMOL] Review of draft-ietf-pmol-metrics-framework in the IESG
From: Alan Clark <[email-masked]>
To: "Dan (Dan)" <[email-masked]>, Al Morton <[email-masked]>, <[email-masked]>
Date: Fri, 4 Feb 2011 16:13:06 -0500
List-Id: Performance Metrics at Other Layers <pmol.ietf.org>

I concur with Dan that a BCP would be preferred (and represents what the
draft is trying to achieve) and also with Al that the removal of section 6
with the corresponding updates to the intro should address the DISCUSS's

Alan

On 2/4/11 1:25 PM, "Dan (Dan)" <[email-masked]> wrote:

> In the last question - Some of the AD's questioned the Intended Status.
> My personal take is that a BCP is still better, because if I am looking
> at documents issued by IPPM and BMWG most are standards track, so having
> a BCP as reference makes more sense to me. Also, 4181 for example which
> may be considered a somehow similar document is also a BCP. In any case,
> this is a contributor opinion, and I will support any decision the WG
> will make on this respect, including a change in the intended status.
> 
> Dan
>  
> 
>> -----Original Message-----
>> From: Al Morton [mailto:[email-masked]]
>> Sent: Friday, February 04, 2011 6:35 PM
>> To: Romascanu, Dan (Dan); [email-masked]
>> Subject: Re: [PMOL] Review of
>> draft-ietf-pmol-metrics-framework in the IESG
>> 
>> Thanks for your summary, Dan.
>> 
>> I think that the revised/simplified draft will reflect
>> today's reality more than our plans of years ago, and that's
>> a reasonable outcome to me.
>> 
>> Essentially, section 6 would go, and revisions in section 1
>> (Intro) and the title would reflect that deletion.
>> 
>> I think there was also push against this memo as a BCP.  Is
>> it also necessary to change the Intended status?
>> 
>> Al
>> 
>> 
>> At 11:06 AM 2/4/2011, Romascanu, Dan (Dan) wrote:
>>> The IESG discussed draft-ietf-pmol-metrics-framework in the telechat
>>> yesterday. The document was not approved under its current
>> form and a 
>>> number of DISCUSSes are pending and need to be resolved. The
>> document 
>>> is now in Revised ID needed.
>>> 
>>> The principal objection raised by a number of AD's was
>> related to the 
>>> mix in the document of the guidelines for defining and reviewing
>>> metrics (which are considered very useful) and the procedure of
>>> approving the work and the resulting metrics documents. The IESG
>>> consensus was that these need to be separated, and that the
>> part that 
>>> talks about how new work is approved in the working groups,
>> and about 
>>> the formation of a directorate is not necessary. The current IETF
>>> procedures are sufficient for this purpose.
>>> 
>>> The recommendation of the IESG is to revise the document
>> taking out all 
>>> procedural issues and leaving inside only the technical guidelines
>>> about definition and review of performance metrics at other
>> layers. The 
>>> document will so serve anybody who wants to start such new work in a
>>> working group, as well as the reviewers. The PMOL
>> directorate will be
>>> formed separately by AD and IESG decision, but there is no need to
>>> describe in the document about its formation and charter -
>> this will be 
>>> done according to procedures well known and used in the IETF.
>>> 
>>>  I know that some of you may be a little disappointed as
>> they thought 
>>> that we are very close to approval and WG charter
>> completion. I thank
>>> you all for the good work, and I suggest that we apply the
>>> recommendations of the IESG. If these recommendations of the
>> IESG are 
>>> agreed by the PMOL WG members I would suggest that we revise the
>>> document - actually it's a simplification - as soon as
>> possible. It may
>>> be appropriate to redo the PMOL WGLC - this is your
>> decision. You may
>>> also want to meet in Prague, this is again up to you to decide if a
>>> face-to-face meeting is necessary.
>>> 
>>> Thanks and Regards,
>>> 
>>> Dan
>>> _______________________________________________
>>> PMOL mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/pmol
>> 
>> 
> _______________________________________________
> PMOL mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pmol

Content-class: urn:content-classes:message
Date: Fri, 4 Feb 2011 19:25:34 +0100
From: "Romascanu, Dan (Dan)" <[email-masked]>
To: "Al Morton" <[email-masked]>, <[email-masked]>
Subject: Re: [PMOL] Review of draft-ietf-pmol-metrics-framework in the IESG

In the last question - Some of the AD's questioned the Intended Status.
My personal take is that a BCP is still better, because if I am looking
at documents issued by IPPM and BMWG most are standards track, so having
a BCP as reference makes more sense to me. Also, 4181 for example which
may be considered a somehow similar document is also a BCP. In any case,
this is a contributor opinion, and I will support any decision the WG
will make on this respect, including a change in the intended status.=20

Dan
=20

> -----Original Message-----
> From: Al Morton [mailto:[email-masked]]=20
> Sent: Friday, February 04, 2011 6:35 PM
> To: Romascanu, Dan (Dan); [email-masked]
> Subject: Re: [PMOL] Review of=20
> draft-ietf-pmol-metrics-framework in the IESG
>=20
> Thanks for your summary, Dan.
>=20
> I think that the revised/simplified draft will reflect=20
> today's reality more than our plans of years ago, and that's=20
> a reasonable outcome to me.
>=20
> Essentially, section 6 would go, and revisions in section 1=20
> (Intro) and the title would reflect that deletion.
>=20
> I think there was also push against this memo as a BCP.  Is=20
> it also necessary to change the Intended status?
>=20
> Al
>=20
>=20
> At 11:06 AM 2/4/2011, Romascanu, Dan (Dan) wrote:
> >The IESG discussed draft-ietf-pmol-metrics-framework in the telechat=20
> >yesterday. The document was not approved under its current=20
> form and a=20
> >number of DISCUSSes are pending and need to be resolved. The=20
> document=20
> >is now in Revised ID needed.
> >
> >The principal objection raised by a number of AD's was=20
> related to the=20
> >mix in the document of the guidelines for defining and reviewing=20
> >metrics (which are considered very useful) and the procedure of=20
> >approving the work and the resulting metrics documents. The IESG=20
> >consensus was that these need to be separated, and that the=20
> part that=20
> >talks about how new work is approved in the working groups,=20
> and about=20
> >the formation of a directorate is not necessary. The current IETF=20
> >procedures are sufficient for this purpose.
> >
> >The recommendation of the IESG is to revise the document=20
> taking out all=20
> >procedural issues and leaving inside only the technical guidelines=20
> >about definition and review of performance metrics at other=20
> layers. The=20
> >document will so serve anybody who wants to start such new work in a=20
> >working group, as well as the reviewers. The PMOL=20
> directorate will be=20
> >formed separately by AD and IESG decision, but there is no need to=20
> >describe in the document about its formation and charter -=20
> this will be=20
> >done according to procedures well known and used in the IETF.
> >
> >  I know that some of you may be a little disappointed as=20
> they thought=20
> >that we are very close to approval and WG charter=20
> completion. I thank=20
> >you all for the good work, and I suggest that we apply the=20
> >recommendations of the IESG. If these recommendations of the=20
> IESG are=20
> >agreed by the PMOL WG members I would suggest that we revise the=20
> >document - actually it's a simplification - as soon as=20
> possible. It may=20
> >be appropriate to redo the PMOL WGLC - this is your=20
> decision. You may=20
> >also want to meet in Prague, this is again up to you to decide if a=20
> >face-to-face meeting is necessary.
> >
> >Thanks and Regards,
> >
> >Dan
> >_______________________________________________
> >PMOL mailing list
> >[email-masked]
> >https://www.ietf.org/mailman/listinfo/pmol
>=20
>=20

Date: Fri, 04 Feb 2011 11:34:56 -0500
To: "Romascanu, Dan (Dan)" <[email-masked]>, <[email-masked]>
From: Al Morton <[email-masked]>
Subject: Re: [PMOL] Review of draft-ietf-pmol-metrics-framework in the IESG

Thanks for your summary, Dan.

I think that the revised/simplified draft will reflect
today's reality more than our plans of years ago,
and that's a reasonable outcome to me.

Essentially, section 6 would go, and revisions in
section 1 (Intro) and the title would reflect that deletion.

I think there was also push against this memo as
a BCP.  Is it also necessary to change the Intended status?

Al

At 11:06 AM 2/4/2011, Romascanu, Dan (Dan) wrote:
>The IESG discussed draft-ietf-pmol-metrics-framework in the telechat
>yesterday. The document was not approved under its current form and a
>number of DISCUSSes are pending and need to be resolved. The document is
>now in Revised ID needed.
>
>The principal objection raised by a number of AD's was related to the
>mix in the document of the guidelines for defining and reviewing metrics
>(which are considered very useful) and the procedure of approving the
>work and the resulting metrics documents. The IESG consensus was that
>these need to be separated, and that the part that talks about how new
>work is approved in the working groups, and about the formation of a
>directorate is not necessary. The current IETF procedures are sufficient
>for this purpose.
>
>The recommendation of the IESG is to revise the document taking out all
>procedural issues and leaving inside only the technical guidelines about
>definition and review of performance metrics at other layers. The
>document will so serve anybody who wants to start such new work in a
>working group, as well as the reviewers. The PMOL directorate will be
>formed separately by AD and IESG decision, but there is no need to
>describe in the document about its formation and charter - this will be
>done according to procedures well known and used in the IETF.
>
>  I know that some of you may be a little disappointed as they thought
>that we are very close to approval and WG charter completion. I thank
>you all for the good work, and I suggest that we apply the
>recommendations of the IESG. If these recommendations of the IESG are
>agreed by the PMOL WG members I would suggest that we revise the
>document - actually it's a simplification - as soon as possible. It may
>be appropriate to redo the PMOL WGLC - this is your decision. You may
>also want to meet in Prague, this is again up to you to decide if a
>face-to-face meeting is necessary.
>
>Thanks and Regards,
>
>Dan
>_______________________________________________
>PMOL mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/pmol

Content-class: urn:content-classes:message
Date: Fri, 4 Feb 2011 17:06:28 +0100
From: "Romascanu, Dan (Dan)" <[email-masked]>
To: <[email-masked]>
Subject: [PMOL] Review of draft-ietf-pmol-metrics-framework in the IESG

The IESG discussed draft-ietf-pmol-metrics-framework in the telechat
yesterday. The document was not approved under its current form and a
number of DISCUSSes are pending and need to be resolved. The document is
now in Revised ID needed.=20

The principal objection raised by a number of AD's was related to the
mix in the document of the guidelines for defining and reviewing metrics
(which are considered very useful) and the procedure of approving the
work and the resulting metrics documents. The IESG consensus was that
these need to be separated, and that the part that talks about how new
work is approved in the working groups, and about the formation of a
directorate is not necessary. The current IETF procedures are sufficient
for this purpose.=20

The recommendation of the IESG is to revise the document taking out all
procedural issues and leaving inside only the technical guidelines about
definition and review of performance metrics at other layers. The
document will so serve anybody who wants to start such new work in a
working group, as well as the reviewers. The PMOL directorate will be
formed separately by AD and IESG decision, but there is no need to
describe in the document about its formation and charter - this will be
done according to procedures well known and used in the IETF.=20

 I know that some of you may be a little disappointed as they thought
that we are very close to approval and WG charter completion. I thank
you all for the good work, and I suggest that we apply the
recommendations of the IESG. If these recommendations of the IESG are
agreed by the PMOL WG members I would suggest that we revise the
document - actually it's a simplification - as soon as possible. It may
be appropriate to redo the PMOL WGLC - this is your decision. You may
also want to meet in Prague, this is again up to you to decide if a
face-to-face meeting is necessary.=20

Thanks and Regards,

Dan

Content-class: urn:content-classes:message
Date: Thu, 3 Feb 2011 17:16:11 +0100
From: "Romascanu, Dan (Dan)" <[email-masked]>
To: <[email-masked]>
Subject: [PMOL] FW: Jari Arkko's No Objection on draft-ietf-pmol-metrics-framework-08:(with COMMENT)

=20

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Jari Arkko
Sent: Thursday, February 03, 2011 10:00 AM
To: The IESG
Cc: [email-masked];
[email-masked]
Subject: Jari Arkko's No Objection on
draft-ietf-pmol-metrics-framework-08:(with COMMENT)

Jari Arkko has entered the following ballot position for
draft-ietf-pmol-metrics-framework-08: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to http://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

It is a very good idea to publish an RFC for defining the task of a
directorate. However, I do want to make a few suggestions:

1. The name "Entity" is a bit odd. The established IETF terminology is
"directorate"

2. I would not make the directorate a formal requirement or mandatory
part of the process. I think it is better cast as a review organization
that can help the working group, the IETF, and the IESG in making the
right decisions.

Content-class: urn:content-classes:message
Date: Thu, 3 Feb 2011 17:04:28 +0100
From: "Romascanu, Dan (Dan)" <[email-masked]>
To: <[email-masked]>
Subject: [PMOL] FW: Adrian Farrel's Discuss on draft-ietf-pmol-metrics-framework-08:(with DISCUSS and COMMENT)

=20

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Adrian Farrel
Sent: Thursday, February 03, 2011 12:35 AM
To: The IESG
Cc: [email-masked];
[email-masked]
Subject: Adrian Farrel's Discuss on
draft-ietf-pmol-metrics-framework-08:(with DISCUSS and COMMENT)

Adrian Farrel has entered the following ballot position for
draft-ietf-pmol-metrics-framework-08: Discuss

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to http://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

----------------------------------------------------------------------
DISCUSS:
----------------------------------------------------------------------

I agree with Ron that if what is wanted is a Directorate, it should
simply be created by the AD. Furthermore, I am worried that codifying
the directorate in this document is implying changes to the IETF process
that are not acceptable.

I strongly support the guidelines part of this document (which feels
Informational), but recommend that all reference to the directorate be
removed.

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Section 1.1

   Although the IETF has two active Working Groups (WGs) dedicated to
   the development of Performance Metrics, they each have strict
   limitations in their charters:
=20

You seem to fail to list the PMOL WG. Is Section 1.1 simply trying to
justify the creation of PMOL? If so it can be removed from the document
because the WG seems to exist :-)